- Get companies by market identifiers (Recommended for a large list of companies)
- Find companies by details
Knowledge Graphs IDs are stable and we recommend to persist them in your proprietary DB for quicker access.
Get companies by market identifiers (Recommended)
Bigdata provides specialized methods to retrieve company information using unique market identifiers such as ISIN, CUSIP, SEDOL, or listings. These methods allow users to directly query the database for relevant companies based on their identifiers. Each of these methods accepts a list of strings as input and returns a list of corresponding company objects orNone for identifiers that
cannot be matched. The methods include:
- Get companies by ISINs
- Get companies by CUSIPs
- Get companies by SEDOLs
- Get companies by listings
- By ISINs
- By CUSIPs
- By SEDOLs
- By Listing
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies/isin' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"values": [
"US0378331005",
"US0231351067",
"LU1861138375"
]
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
# Fetch companies by ISINs
isins = ["US0378331005", "US0231351067", "LU1861138375"]
companies_by_isin = bigdata.knowledge_graph.get_companies_by_isin(isins)
for isin, company in zip(isins, companies_by_isin):
if company:
print(f"{company.name}: {company.id}")
else:
print(f"Company not found for ISIN {isin}")
{
"results": {
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
]
},
"US0231351067": {
"id": "0157B1",
"name": "Amazon.com Inc.",
"description": "Amazon.com Inc. is a multinational technology company focusing in e-commerce, cloud computing, and artificial intelligence. The company was incorporated on July 5, 1994.",
"type": "PUBLIC",
"country": "US",
"sector": "Consumer Services",
"industry_group": "General Retailers",
"industry": "Internet & Direct Marketing Retail",
"favicon": "http://www.amazon.com/favicon.ico",
"webpage": "http://www.amazon.com",
"isin_values": [
"AU0000048530",
"CA02315E1051",
"TH0150121307",
"TH0809121401",
"TH0842120105",
"US0231351067"
],
"cusip_values": [
"023135106",
"02315E105",
"P0R686174",
"Q3R79Y207",
"Y100G4345",
"Y476JC223",
"Y49876231"
],
"sedol_values": [
"2000019",
"2436368",
"B01YWR1",
"B58WM62",
"BJ9K865",
"BNC31M6",
"BR1WCN0",
"BS7ZCZ2",
"BVBDDH2"
],
"listing_values": [
"XBKK:AMZN01",
"XBKK:AMZN06",
"XBKK:AMZN80",
"XBOG:AMZN",
"XLIM:AMZN",
"XMEX:AMZN",
"XNAS:AMZN",
"XNMS:AMZN"
]
}
},
"metadata": {
"request_id": "user_2nHybch9ZH2eWyGykznCeRxsk4G",
"timestamp": "2025-10-16T17:14:27.708329+00:00"
}
}
Apple Inc.: D8442A
Amazon.com Inc.: 0157B1
Company not found for ISIN LU1861138375
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies/cusip' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"values": [
"037833100",
"023135106",
"023135103"
]
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
# Fetch companies by CUSIPs
cusips = ["037833100", "023135106", "023135103"]
companies_by_cusip = bigdata.knowledge_graph.get_companies_by_cusip(cusips)
for cusip, company in zip(cusips, companies_by_cusip):
if company:
print(f"{company.name}: {company.id}")
else:
print(f"Company not found for CUSIP {cusip}")
{
"results": {
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
]
},
"US0231351067": {
"id": "0157B1",
"name": "Amazon.com Inc.",
"description": "Amazon.com Inc. is a multinational technology company focusing in e-commerce, cloud computing, and artificial intelligence. The company was incorporated on July 5, 1994.",
"type": "PUBLIC",
"country": "US",
"sector": "Consumer Services",
"industry_group": "General Retailers",
"industry": "Internet & Direct Marketing Retail",
"favicon": "http://www.amazon.com/favicon.ico",
"webpage": "http://www.amazon.com",
"isin_values": [
"AU0000048530",
"CA02315E1051",
"TH0150121307",
"TH0809121401",
"TH0842120105",
"US0231351067"
],
"cusip_values": [
"023135106",
"02315E105",
"P0R686174",
"Q3R79Y207",
"Y100G4345",
"Y476JC223",
"Y49876231"
],
"sedol_values": [
"2000019",
"2436368",
"B01YWR1",
"B58WM62",
"BJ9K865",
"BNC31M6",
"BR1WCN0",
"BS7ZCZ2",
"BVBDDH2"
],
"listing_values": [
"XBKK:AMZN01",
"XBKK:AMZN06",
"XBKK:AMZN80",
"XBOG:AMZN",
"XLIM:AMZN",
"XMEX:AMZN",
"XNAS:AMZN",
"XNMS:AMZN"
]
}
},
"metadata": {
"request_id": "user_2nHybch9ZH2eWyGykznCeRxsk4G",
"timestamp": "2025-10-16T17:14:27.708329+00:00"
}
}
Apple Inc.: D8442A
Amazon.com Inc.: 0157B1
Company not found for CUSIP 023135103
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies/sedol' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"values": [
"2046251",
"2000019",
"BNV0000"
]
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
# Fetch companies by SEDOLs
sedols = ["2046251", "2000019", "BNV0000"]
companies_by_sedol = bigdata.knowledge_graph.get_companies_by_sedol(sedols)
for sedol, company in zip(sedols, companies_by_sedol):
if company:
print(f"{company.name}: {company.id}")
else:
print(f"Company not found for SEDOL {sedol}")
{
"results": {
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
]
},
"US0231351067": {
"id": "0157B1",
"name": "Amazon.com Inc.",
"description": "Amazon.com Inc. is a multinational technology company focusing in e-commerce, cloud computing, and artificial intelligence. The company was incorporated on July 5, 1994.",
"type": "PUBLIC",
"country": "US",
"sector": "Consumer Services",
"industry_group": "General Retailers",
"industry": "Internet & Direct Marketing Retail",
"favicon": "http://www.amazon.com/favicon.ico",
"webpage": "http://www.amazon.com",
"isin_values": [
"AU0000048530",
"CA02315E1051",
"TH0150121307",
"TH0809121401",
"TH0842120105",
"US0231351067"
],
"cusip_values": [
"023135106",
"02315E105",
"P0R686174",
"Q3R79Y207",
"Y100G4345",
"Y476JC223",
"Y49876231"
],
"sedol_values": [
"2000019",
"2436368",
"B01YWR1",
"B58WM62",
"BJ9K865",
"BNC31M6",
"BR1WCN0",
"BS7ZCZ2",
"BVBDDH2"
],
"listing_values": [
"XBKK:AMZN01",
"XBKK:AMZN06",
"XBKK:AMZN80",
"XBOG:AMZN",
"XLIM:AMZN",
"XMEX:AMZN",
"XNAS:AMZN",
"XNMS:AMZN"
]
}
},
"metadata": {
"request_id": "user_2nHybch9ZH2eWyGykznCeRxsk4G",
"timestamp": "2025-10-16T17:14:27.708329+00:00"
}
}
Apple Inc.: D8442A
Amazon.com Inc.: 0157B1
Company not found for CUSIP 023135103
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies/listing' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"values": [
"XNAS:AAPL",
"XNAS:AMZN",
"XNAS:AAAA"
]
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
# Listing is the combination of the Market Identifier Code (MIC) and company ticker separated by the character ":", e.g: "XNAS:META"
listings = ["XNAS:AAPL", "XNAS:AMZN", "XNAS:AAAA"]
companies_by_listing = bigdata.knowledge_graph.get_companies_by_listing(listings)
for listing, company in zip(listings, companies_by_listing):
if company:
print(f"{company.name}: {company.id}")
else:
print(f"Company not found for listing {listing}")
{
"results": {
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
]
},
"US0231351067": {
"id": "0157B1",
"name": "Amazon.com Inc.",
"description": "Amazon.com Inc. is a multinational technology company focusing in e-commerce, cloud computing, and artificial intelligence. The company was incorporated on July 5, 1994.",
"type": "PUBLIC",
"country": "US",
"sector": "Consumer Services",
"industry_group": "General Retailers",
"industry": "Internet & Direct Marketing Retail",
"favicon": "http://www.amazon.com/favicon.ico",
"webpage": "http://www.amazon.com",
"isin_values": [
"AU0000048530",
"CA02315E1051",
"TH0150121307",
"TH0809121401",
"TH0842120105",
"US0231351067"
],
"cusip_values": [
"023135106",
"02315E105",
"P0R686174",
"Q3R79Y207",
"Y100G4345",
"Y476JC223",
"Y49876231"
],
"sedol_values": [
"2000019",
"2436368",
"B01YWR1",
"B58WM62",
"BJ9K865",
"BNC31M6",
"BR1WCN0",
"BS7ZCZ2",
"BVBDDH2"
],
"listing_values": [
"XBKK:AMZN01",
"XBKK:AMZN06",
"XBKK:AMZN80",
"XBOG:AMZN",
"XLIM:AMZN",
"XMEX:AMZN",
"XNAS:AMZN",
"XNMS:AMZN"
]
}
},
"metadata": {
"request_id": "user_2nHybch9ZH2eWyGykznCeRxsk4G",
"timestamp": "2025-10-16T17:14:27.708329+00:00"
}
}
Apple Inc.: D8442A
Amazon.com Inc.: 0157B1
Company not found for CUSIP 023135103
Find companies by details
Find companies by details returns a list of companies that matched the value parameter. The value can match with the company’s name, webpage, ticker, or any market identifiers. Besides the default query parameter, you can also use the following optional filterstype, country, and sector (sector is only available in the RESTful API)
- By name
- By Ticker
- By webpage
- Using filters
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"query": "Pfizer"
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
results = bigdata.knowledge_graph.find_companies("Pfizer")
for company in results:
print(f"Entity ID: {company.id}")
print(f"Company Name: {company.name}")
print(f"Country: {company.country}")
print(f"Description: {company.description}")
print(f"Website: {company.webpage}")
print(f"Ticker: {company.ticker}\n")
{
"results": [
{
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"isin_values": [
"BRPFIZBDR006",
"CA7170651060",
"TH8483122405",
"US7170811035"
],
"cusip_values": [
"717065106",
"717081103",
"P0R682843",
"Y985HU563"
],
"sedol_values": [
"0684705",
"2684703",
"B00PJ18",
"B43RS89",
"BP5FBB2",
"BVF8ZH7"
],
"listing_values": [
"BVMF:PFIZ34",
"XFRA:PFE",
"XLON:0Q1N",
"XMEX:PFE",
"XNYS:PFE"
],
"ticker": "PFE"
}
],
"metadata": {
"request_id": "4563eda4-3655-4bdf-8a83-82407ad25276",
"timestamp": "2025-10-16T17:30:26.648779+00:00"
}
}
Entity ID: 267718
Company Name: Pfizer Inc.
Country: United States
Description: Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.
Website: http://www.pfizer.com
Ticker: PFE
Entity ID: 0CC745
Company Name: Pfizer India Ltd.
Country: India
Description: Pfizer India Ltd. was formed in November 21, 1950, after Pfizer's acquisition of Dumex. It is a 40% owned subsidiary of Pfizer Inc.
Website: http://www.pfizerltd.co.in
Ticker: 500680
...
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"query": "PFE"
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
results = bigdata.knowledge_graph.find_companies("PFE")
for company in results:
print(f"Entity ID: {company.id}")
print(f"Company Name: {company.name}")
print(f"Country: {company.country}")
print(f"Description: {company.description}")
print(f"Website: {company.webpage}")
print(f"Ticker: {company.ticker}\n")
{
"results": [
{
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"isin_values": [
"BRPFIZBDR006",
"CA7170651060",
"TH8483122405",
"US7170811035"
],
"cusip_values": [
"717065106",
"717081103",
"P0R682843",
"Y985HU563"
],
"sedol_values": [
"0684705",
"2684703",
"B00PJ18",
"B43RS89",
"BP5FBB2",
"BVF8ZH7"
],
"listing_values": [
"BVMF:PFIZ34",
"XFRA:PFE",
"XLON:0Q1N",
"XMEX:PFE",
"XNYS:PFE"
],
"ticker": "PFE"
}
],
"metadata": {
"request_id": "f09d85fa-7939-43db-a844-e19c8cba8c2f",
"timestamp": "2025-10-16T17:29:24.326502+00:00"
}
}
Entity ID: 267718
Company Name: Pfizer Inc.
Country: United States
Description: Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.
Website: http://www.pfizer.com
Ticker: PFE
...
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"query": "http://www.pfizer.com"
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
results = bigdata.knowledge_graph.find_companies("http://www.pfizer.com")
for company in results:
print(f"Entity ID: {company.id}")
print(f"Company Name: {company.name}")
print(f"Country: {company.country}")
print(f"Description: {company.description}")
print(f"Website: {company.webpage}")
print(f"Ticker: {company.ticker}\n")
{
"results": [
{
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"isin_values": [
"BRPFIZBDR006",
"CA7170651060",
"TH8483122405",
"US7170811035"
],
"cusip_values": [
"717065106",
"717081103",
"P0R682843",
"Y985HU563"
],
"sedol_values": [
"0684705",
"2684703",
"B00PJ18",
"B43RS89",
"BP5FBB2",
"BVF8ZH7"
],
"listing_values": [
"BVMF:PFIZ34",
"XFRA:PFE",
"XLON:0Q1N",
"XMEX:PFE",
"XNYS:PFE"
],
"ticker": "PFE"
},
{
"id": "UY4ICW",
"name": "The Pfizer Foundation Inc.",
"description": "The Pfizer Foundation Inc. is a charitable organization founded in 1849, a unit of Pfizer Inc. It funds programs for public benefit, medical care, and patient outcomes. The foundation supports global health challenges, innovation, and community involvement of Pfizer colleagues. It operates separately from Pfizer Inc. and focuses on improving healthcare access and addressing humanitarian health needs.",
"type": "PRIVATE",
"country": "US",
"sector": "Industrials",
"industry_group": "Support Services",
"industry": "Business Support Services",
"webpage": "https://www.pfizer.com/",
"root_parent": {
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"ticker": "PFE"
}
},
{
"id": "04RFHJ",
"name": "Pfizer Export Co.",
"description": "Develops and manufactures pharmaceutical products.",
"type": "PRIVATE",
"country": "IE",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"webpage": "http://WWW.PFIZER.COM",
"root_parent": {
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"ticker": "PFE"
}
},
{
"id": "4NH86T",
"name": "Pfizer Shared Services Unlimited Co.",
"type": "PRIVATE",
"country": "IE",
"webpage": "http://WWW.PFIZER.COM",
"root_parent": {
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"ticker": "PFE"
}
},
{
"id": "H5MDPB",
"name": "Pfizer Specialty UK Ltd.",
"description": "Pfizer Specialty UK Ltd., a subsidiary of Pfizer Inc., is a British company that manufactures pharmaceutical products. Manufactures pharmaceutical products.",
"type": "PRIVATE",
"country": "GB",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"webpage": "http://www.pfizer.com",
"root_parent": {
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"ticker": "PFE"
}
},
...
}
Entity ID: 267718
Company Name: Pfizer Inc.
Country: United States
Description: Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.
Website: http://www.pfizer.com
Ticker: PFE
...
curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/companies' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: <your-api-key>' \
--data '{
"query": "",
"types": [
"PUBLIC"
],
"countries": [
"US"
],
"sectors": [
"Health Care"
]
}'
from dotenv import load_dotenv
from bigdata_client import Bigdata
import os
from bigdata_client.models.entities import CompanyType
load_dotenv()
# Initialize the Bigdata API
username = os.environ.get("BIGDATA_USERNAME")
password = os.environ.get("BIGDATA_PASSWORD")
bigdata = Bigdata(username, password)
results = bigdata.knowledge_graph.find_companies(type=CompanyType.PUBLIC, country="US")
for company in results:
print(f"Entity ID: {company.id}")
print(f"Company Name: {company.name}")
print(f"Country: {company.country}")
print(f"Description: {company.description}")
print(f"Website: {company.webpage}")
print(f"Ticker: {company.ticker}\n")
{
"results": [
{
"id": "FAE5DB",
"name": "Tempus AI Inc.",
"description": "Tempus AI Inc. (formerly Tempus Labs Inc.) is a technology company that is building a library of molecular and clinical data of cancer patients and an operating system to make that data accessible and useful. The company was incorporated in August 2015 as Bioin LLC.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Biotechnology",
"industry": "Biotechnology",
"favicon": "https://www.tempus.com/wp-content/uploads/2018/06/cropped-TempusFavicon-1.png",
"webpage": "http://www.tempus.com",
"isin_values": [
"AR0520934156",
"US88023B1035"
],
"cusip_values": [
"88023B103",
"P0R6AS678"
],
"sedol_values": [
"BNYD1V3",
"BSLSJJ0"
],
"listing_values": [
"XNGS:TEM"
],
"ticker": "TEM"
},
{
"id": "267718",
"name": "Pfizer Inc.",
"description": "Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.",
"type": "PUBLIC",
"country": "US",
"sector": "Health Care",
"industry_group": "Pharmaceuticals",
"industry": "Pharmaceuticals",
"favicon": "https://www.pfizer.com/sites/default/files/custom-favicon/favicon.ico.png",
"webpage": "http://www.pfizer.com",
"isin_values": [
"BRPFIZBDR006",
"CA7170651060",
"TH8483122405",
"US7170811035"
],
"cusip_values": [
"717065106",
"717081103",
"P0R682843",
"Y985HU563"
],
"sedol_values": [
"0684705",
"2684703",
"B00PJ18",
"B43RS89",
"BP5FBB2",
"BVF8ZH7"
],
"listing_values": [
"BVMF:PFIZ34",
"XFRA:PFE",
"XLON:0Q1N",
"XMEX:PFE",
"XNYS:PFE"
],
"ticker": "PFE"
},
...
}
Entity ID: 267718
Company Name: Pfizer Inc.
Country: United States
Description: Pfizer Inc. is an American multinational pharmaceutical corporation headquartered in New York City, and with its research headquarters in Groton, Connecticut, United States. The company was founded in 1849.
Website: http://www.pfizer.com
Ticker: PFE
Entity ID: D8442A
Company Name: Apple Inc.
Country: US
Description: Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.
Website: http://www.apple.com
Ticker: AAPL
...
We recommend to use Get companies by market identifiers because it accepts a list and retrieve the precise company IDs.The
find_companies method is helpful to retrieve companies given user’s input, but not to find IDs for a large list of companies, because each call requires a backend request, and it takes longer.If you still want to use find_companies programmaticaly for a large list of companies, the how-to guide Threading - Find Entities describes a multi-threaded solution.